/*
 * icon_factory.h
 */
 

#ifndef __ICON_FACTORY_H__
#define __ICON_FACTORY_H__

#include <gtkmm.h>

class IconFactory
{  
public:
	IconFactory();
	virtual ~IconFactory();
	
protected:
	Gtk::StockID EDIT_POSITION_ICON;
	Gtk::StockID EDIT_GAME_ICON;
	Gtk::StockID SHOW_CANDIDATES_ICON;
	
	virtual void add_stock_icon( const Glib::RefPtr<Gtk::IconFactory>&,
								 const std::string&,
								 const std::string&,
								 const std::string& );
								 
	//friend class myMenuBar;
};

#endif // __ICON_FACTORY_H__
